petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAGetFieldName

Gets the names of individual field components in multicomponent vectors associated with a DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetFieldName(DM da,PetscInt nf,const char **name)

Not collective; name will contain a common value

### Input Parameter

| da | - the distributed array
| nf | - field number for the DMDA (0, 1, ... dof-1), where dof indicates the number of degrees of freedom per node within the DMDA

### Output Parameter

names -the name of the field (component)

### Notes

It must be called after having called DMSetUp().

### Keywords

distributed array, get, component name

### See Also

DMDASetFieldName(), DMDASetCoordinateName(), DMDAGetCoordinateName(), DMSetUp()

### Level

intermediate

### Location

src/dm/impls/da/dacorn.c

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages